Index: moodle/theme/brick/config.php
--- moodle/theme/brick/config.php Base (1.2)
+++ moodle/theme/brick/config.php Locally Modified (Based On 1.2)
@@ -58,7 +58,6 @@
 	'core',
 	'colors',
 	'css3',
-	
 );
 
 ////////////////////////////////////////////////////
@@ -163,6 +162,11 @@
         'regions' => array(),
         'options' => array('nofooter'=>true, 'nonavbar'=>true),
     ),
+    'report' => array(
+        'file' => 'general.php',
+        'regions' => array('side-post'),
+        'defaultregion' => 'side-post',
+    ),
     
 );
 
@@ -203,14 +207,14 @@
 // As above but will be included in the page footer.
 ////////////////////////////////////////////////////
 
-//$THEME->larrow	= '&lang;';
+//$THEME->larrow    = '&lang;';
 
 ////////////////////////////////////////////////////
 // Overrides the left arrow image used throughout 
 // Moodle
 ////////////////////////////////////////////////////
 
-//$THEME->rarrow	= '&rang;';
+//$THEME->rarrow    = '&rang;';
 
 ////////////////////////////////////////////////////
 // Overrides the right arrow image used throughout Moodle
Index: moodle/theme/canvas/config.php
--- moodle/theme/canvas/config.php Base (1.14)
+++ moodle/theme/canvas/config.php Locally Modified (Based On 1.14)
@@ -168,6 +168,11 @@
         'regions' => array(),
         'options' => array('nofooter'=>true, 'nonavbar'=>true),
     ),
+    'report' => array(
+        'file' => 'report.php',
+        'regions' => array('side-pre'),
+        'defaultregion' => 'side-pre',
+    )
\ No newline at end of file
 );
 
 /////////////////////////////////////////////////////////
Index: moodle/theme/canvas/layout/report.php
--- moodle/theme/canvas/layout/report.php No Base Revision
+++ moodle/theme/canvas/layout/report.php Locally New
@@ -0,0 +1,109 @@
+<?php
+
+$hasheading = ($PAGE->heading);
+$hasnavbar = (empty($PAGE->layout_options['nonavbar']) && $PAGE->has_navbar());
+$hasfooter = (empty($PAGE->layout_options['nofooter']));
+$hassidepre = $PAGE->blocks->region_has_content('side-pre', $OUTPUT);
+$hassidepost = $PAGE->blocks->region_has_content('side-post', $OUTPUT);
+
+$bodyclasses = array();
+if ($hassidepre && !$hassidepost) {
+    $bodyclasses[] = 'side-pre-only';
+} else if ($hassidepost && !$hassidepre) {
+    $bodyclasses[] = 'side-post-only';
+} else if (!$hassidepost && !$hassidepre) {
+    $bodyclasses[] = 'content-only';
+}
+
+echo $OUTPUT->doctype() ?>
+<html <?php echo $OUTPUT->htmlattributes() ?>>
+<head>
+    <title><?php echo $PAGE->title ?></title>
+    <link rel="shortcut icon" href="<?php echo $OUTPUT->pix_url('favicon', 'theme')?>" />
+    <?php echo $OUTPUT->standard_head_html() ?>
+</head>
+<body id="<?php echo $PAGE->bodyid ?>" class="<?php echo $PAGE->bodyclasses.' '.join(' ', $bodyclasses) ?>">
+<?php echo $OUTPUT->standard_top_of_body_html() ?>
+
+<div id="page">
+
+<!-- START OF HEADER -->
+
+    <?php if ($hasheading || $hasnavbar) { ?>
+    <div id="wrapper" class="clearfix">
+
+        <div id="page-header">
+            <div id="page-header-wrapper" class="clearfix">
+                   <?php if ($hasheading) { ?>
+                <h1 class="headermain"><?php echo $PAGE->heading ?></h1>
+                <div class="headermenu">
+                    <?php
+                        echo $OUTPUT->login_info();
+                           if (!empty($PAGE->layout_options['langmenu'])) {
+                               echo $OUTPUT->lang_menu();
+                           }
+                           echo $PAGE->headingmenu;
+                    ?>
+                </div>
+                <?php } ?>
+            </div>
+        </div>
+
+        <?php if ($hasnavbar) { ?>
+            <div class="navbar clearfix">
+                <div class="breadcrumb"><?php echo $OUTPUT->navbar(); ?></div>
+                <div class="navbutton"> <?php echo $PAGE->button; ?></div>
+            </div>
+        <?php } ?>
+
+<?php } ?>
+
+<!-- END OF HEADER -->
+
+<!-- START OF CONTENT -->
+
+        
+            <div id="page-content-wrapper" class="clearfix">
+                <div id="page-content">
+                    <div id="report-main-content">
+                        <div class="region-content">
+                            <?php echo core_renderer::MAIN_CONTENT_TOKEN ?>
+                        </div>
+                    </div>
+                    <?php if ($hassidepre) { ?>
+                    <div id="report-region-wrap">
+                        <div id="report-region-pre" class="block-region">
+                            <div class="region-content">
+                                <?php echo $OUTPUT->blocks_for_region('side-pre') ?>
+                            </div>
+                        </div>
+                    </div>
+                    <?php } ?>
+                </div>
+            </div>
+        </div>
+
+<!-- END OF CONTENT -->
+
+<!-- START OF FOOTER -->
+
+        <?php if ($hasfooter) { ?>
+        <div id="page-footer" class="clearfix">
+            <p class="helplink"><?php echo page_doc_link(get_string('moodledocslink')) ?></p>
+            <?php
+                echo $OUTPUT->login_info();
+                echo $OUTPUT->home_link();
+                echo $OUTPUT->standard_footer_html();
+            ?>
+        </div>
+        <?php } ?>
+
+    <?php if ($hasheading || $hasnavbar) { ?>
+        </div> <!-- END #wrapper -->
+    <?php } ?>
+
+</div> <!-- END #page -->
+
+<?php echo $OUTPUT->standard_end_of_body_html() ?>
+</body>
+</html>
\ No newline at end of file
Index: moodle/theme/formal_white/config.php
--- moodle/theme/formal_white/config.php Base (1.24)
+++ moodle/theme/formal_white/config.php Locally Modified (Based On 1.24)
@@ -156,6 +156,11 @@
         'regions' => array(),
         'options' => array('nofooter'=>true, 'nonavbar'=>false, 'noblocks'=>true),
     ),
+    'report' => array(
+        'file' => 'report.php',
+        'regions' => array('side-pre'),
+        'defaultregion' => 'side-pre'
+    ),
\ No newline at end of file
 );
 
 $THEME->rendererfactory = 'theme_overridden_renderer_factory';
Index: moodle/theme/formal_white/layout/report.php
--- moodle/theme/formal_white/layout/report.php No Base Revision
+++ moodle/theme/formal_white/layout/report.php Locally New
@@ -0,0 +1,127 @@
+<?php
+
+$hasheading = ($PAGE->heading);
+$hasnavbar = (empty($PAGE->layout_options['nonavbar']) && $PAGE->has_navbar());
+$hasfooter = (empty($PAGE->layout_options['nofooter']));
+$hassidepre = (empty($PAGE->layout_options['noblocks']) && $PAGE->blocks->region_has_content('side-pre', $OUTPUT));
+$hassidepost = (empty($PAGE->layout_options['noblocks']) && $PAGE->blocks->region_has_content('side-post', $OUTPUT));
+
+$showsidepre = ($hassidepre && !$PAGE->blocks->region_completely_docked('side-pre', $OUTPUT));
+$showsidepost = ($hassidepost && !$PAGE->blocks->region_completely_docked('side-post', $OUTPUT));
+
+$custommenu = $OUTPUT->custom_menu();
+$hascustommenu = (empty($PAGE->layout_options['nocustommenu']) && !empty($custommenu));
+
+$bodyclasses = array();
+if ($showsidepre && !$showsidepost) {
+    $bodyclasses[] = 'side-pre-only';
+} else if ($showsidepost && !$showsidepre) {
+    $bodyclasses[] = 'side-post-only';
+} else if (!$showsidepost && !$showsidepre) {
+    $bodyclasses[] = 'content-only';
+}
+if ($hascustommenu) {
+    $bodyclasses[] = 'has_custom_menu';
+}
+
+if (!empty($PAGE->theme->settings->logo)) {
+    $logourl = $PAGE->theme->settings->logo;
+} else {
+    $logourl = $OUTPUT->pix_url('logo', 'theme');
+}
+
+if (!empty($PAGE->theme->settings->footnote)) {
+    $footnote = $PAGE->theme->settings->footnote;
+} else {
+    $footnote = '<!-- There was no custom footnote set -->';
+}
+
+echo $OUTPUT->doctype() ?>
+<html <?php echo $OUTPUT->htmlattributes() ?>>
+<head>
+    <title><?php echo $PAGE->title ?></title>
+    <link rel="shortcut icon" href="<?php echo $OUTPUT->pix_url('favicon', 'theme')?>" />
+    <?php echo $OUTPUT->standard_head_html() ?>
+</head>
+<body id="<?php echo $PAGE->bodyid ?>" class="<?php echo $PAGE->bodyclasses.' '.join(' ', $bodyclasses) ?>">
+<?php echo $OUTPUT->standard_top_of_body_html() ?>
+<div id="page">
+    <div id="page2">
+        <div id="headerleft" class="headerleft"><div>&nbsp;</div></div>
+        <div id="bodyleft" class="bodyleft">
+            <div id="bodyright" class="bodyright">
+                <div id="header-i3" class="i3">
+                <?php  if ($hasheading || $hasnavbar) {  // This is what gets printed on the home page only
+                ?>
+                    <div id="header-home" class="clearfix">
+                        <div id="headerenvelop">
+
+                            <!-- //echo '<h1 class="logo headermain">'.$PAGE->heading.'</h1>'; -->
+                            <?php echo '<div id="logo"><img class="sitelogo" src="'.$logourl.'" alt="Custom logo here" /></div>';
+                            echo '<div class="headermenu">';
+                                echo $OUTPUT->login_info();
+                                if (!empty($PAGE->theme->settings->alwayslangmenu)) {
+                                    echo $OUTPUT->lang_menu();
+                                }
+                                echo $PAGE->headingmenu;
+                            echo '</div>'; // closes: <div class="headermenu">
+
+                        echo '</div>'; // closes: <div id="headerenvelop">
+                    echo '</div>'; // closes: <div id="header-home" class="clearfix">
+
+                    if ($hascustommenu) {
+                        echo '<div id="custommenu">'.$custommenu.'</div>';
+                    }
+
+                    //Accessibility: breadcrumb trail/navbar now a DIV, not a table.
+                    if ($hasnavbar) {
+                        echo '<div class="navbar clearfix">';
+                        echo '    <div class="breadcrumb">'.$OUTPUT->navbar().'</div>';
+                        echo '    <div class="navbutton">'.$PAGE->button.'</div>';
+                        echo '</div>';
+                    }
+
+                } ?>
+
+<!-- END OF HEADER -->
+
+                    <div id="page-content" class="clearfix shrinker">
+                        <div id="report-main-content">
+                            <div class="region-content">
+                                <?php echo core_renderer::MAIN_CONTENT_TOKEN ?>
+                            </div>
+                        </div>
+                        <?php if ($hassidepre) { ?>
+                        <div id="report-region-wrap">
+                            <div id="report-region-pre" class="block-region">
+                                <div class="region-content">
+                                    <?php echo $OUTPUT->blocks_for_region('side-pre') ?>
+                                </div>
+                            </div>
+                        </div>
+                        <?php } ?>
+                    </div>
+
+				</div> <!-- closes: <div id="header-i3" class="i3"> -->
+			</div> <!-- closes: <div id="bodyright" class="bodyright"> -->
+		</div> <!-- closes: <div id="bodyleft" class="bodyleft"> -->
+        <div id="contentfooter" class="contentfooter"><div>&nbsp;</div></div>
+    </div>  <!-- closes: <div id="page2"> -->
+</div> <!-- closes:<div id="page"> -->
+
+<!-- START OF FOOTER -->
+<?php if ($hasfooter) { ?>
+    <div id="page-footer" class="clearfix">
+        <?php echo $footnote; ?>
+        <p class="helplink"><?php echo page_doc_link(get_string('moodledocslink')) ?></p>
+        <?php
+        echo $OUTPUT->login_info();
+        echo $OUTPUT->home_link();
+        echo $OUTPUT->standard_footer_html();
+        ?>
+    </div>
+<?php } ?>
+
+<?php echo $OUTPUT->standard_end_of_body_html() ?>
+</body>
+</html>
\ No newline at end of file
Index: moodle/theme/formal_white/lib.php
--- moodle/theme/formal_white/lib.php Base (1.1)
+++ moodle/theme/formal_white/lib.php Locally Modified (Based On 1.1)
@@ -64,12 +64,14 @@
 function formalwhite_set_regionwidth($css, $regionwidth) {
     $tag = '[[setting:regionwidth]]';
     $doubletag = '[[setting:regionwidthdouble]]';
+    $tagplus10 = '[[setting:regionwidthplus10]]';
     $replacement = $regionwidth;
     if (is_null($replacement)) {
         $replacement = 200;
     }
     $css = str_replace($tag, $replacement.'px', $css);
     $css = str_replace($doubletag, ($replacement*2).'px', $css);
+    $css = str_replace($tag, ($replacement+10).'px', $css);
\ No newline at end of file
     return $css;
 }
 
Index: moodle/theme/fusion/config.php
--- moodle/theme/fusion/config.php Base (1.5)
+++ moodle/theme/fusion/config.php Locally Modified (Based On 1.5)
@@ -167,7 +167,11 @@
         'regions' => array(),
         'options' => array('nofooter'=>true, 'nonavbar'=>false, 'noblocks'=>true),
     ),
-
+    'report' => array(
+        'file' => 'general.php',
+        'regions' => array('side-post'),
+        'defaultregion' => 'side-post',
+    ),
 );
 
 ///////////////////////////////////////////////////////////////
@@ -208,14 +212,14 @@
 // As above but will be included in the page footer.
 ////////////////////////////////////////////////////
 
-$THEME->larrow	= '&lang;';
+$THEME->larrow    = '&lang;';
 
 ////////////////////////////////////////////////////
 // Overrides the left arrow image used throughout
 // Moodle
 ////////////////////////////////////////////////////
 
-$THEME->rarrow	= '&rang;';
\ No newline at end of file
+$THEME->rarrow    = '&rang;';
\ No newline at end of file
 
 ////////////////////////////////////////////////////
 // Overrides the right arrow image used throughout Moodle
Index: moodle/theme/leatherbound/config.php
--- moodle/theme/leatherbound/config.php Base (1.6)
+++ moodle/theme/leatherbound/config.php Locally Modified (Based On 1.6)
@@ -155,7 +155,11 @@
         'regions' => array(),
         'options' => array('nofooter'=>true, 'nonavbar'=>false, 'noblocks'=>true),
     ),
-
+    'report' => array(
+        'file' => 'report.php',
+        'regions' => array('side-pre'),
+        'defaultregion' => 'side-pre',
+    ),
 );
 
 ///////////////////////////////////////////////////////////////
Index: moodle/theme/leatherbound/layout/report.php
--- moodle/theme/leatherbound/layout/report.php No Base Revision
+++ moodle/theme/leatherbound/layout/report.php Locally New
@@ -0,0 +1,91 @@
+<?php
+
+$hasheading = ($PAGE->heading);
+$hasnavbar = (empty($PAGE->layout_options['nonavbar']) && $PAGE->has_navbar());
+$hasfooter = (empty($PAGE->layout_options['nofooter']));
+$hassidepre = $PAGE->blocks->region_has_content('side-pre', $OUTPUT);
+$hassidepost = $PAGE->blocks->region_has_content('side-post', $OUTPUT);
+
+$bodyclasses = array();
+if ($hassidepre && !$hassidepost) {
+    $bodyclasses[] = 'side-pre-only';
+} else if ($hassidepost && !$hassidepre) {
+    $bodyclasses[] = 'side-post-only';
+} else if (!$hassidepost && !$hassidepre) {
+    $bodyclasses[] = 'content-only';
+}
+
+echo $OUTPUT->doctype() ?>
+<html <?php echo $OUTPUT->htmlattributes() ?>>
+<head>
+    <title><?php echo $PAGE->title ?></title>
+    <link rel="shortcut icon" href="<?php echo $OUTPUT->pix_url('favicon', 'theme')?>" />
+    <?php echo $OUTPUT->standard_head_html() ?>
+</head>
+
+<body id="<?php echo $PAGE->bodyid ?>" class="<?php echo $PAGE->bodyclasses.' '.join(' ', $bodyclasses) ?>">
+<?php echo $OUTPUT->standard_top_of_body_html() ?>
+
+<div id="page">
+<?php if ($hasheading || $hasnavbar) { ?>
+    <div id="page-header">
+        <div id="page-header-wrapper" class="wrapper clearfix">
+            <?php if ($hasheading) { ?>
+                <h1 class="headermain inside"><?php echo $PAGE->heading ?></h1>
+                <div class="headermenu"><?php
+                    echo $OUTPUT->login_info();
+                        if (!empty($PAGE->layout_options['langmenu'])) {
+                            echo $OUTPUT->lang_menu();
+                        }
+                    echo $PAGE->headingmenu ?>
+                </div>
+            <?php } ?>
+        </div>
+    </div>
+
+        <?php if ($hasnavbar) { ?>
+            <div class="navbar">
+                <div class="wrapper clearfix">
+                    <div class="breadcrumb"><?php echo $OUTPUT->navbar(); ?></div>
+                    <div class="navbutton"> <?php echo $PAGE->button; ?></div>
+                </div>
+            </div>
+        <?php } ?>
+
+<?php } ?>
+<!-- END OF HEADER -->
+
+<div id="page-content-wrapper" class="wrapper clearfix">
+    <div id="page-content">
+        <div id="report-main-content">
+            <div class="region-content">
+                <?php echo core_renderer::MAIN_CONTENT_TOKEN ?>
+            </div>
+        </div>
+        <?php if ($hassidepre) { ?>
+        <div id="report-region-wrap">
+            <div id="report-region-pre" class="block-region">
+                <div class="region-content">
+                    <?php echo $OUTPUT->blocks_for_region('side-pre') ?>
+                </div>
+            </div>
+        </div>
+        <?php } ?>
+    </div>
+</div>
+
+<!-- START OF FOOTER -->
+    <?php if ($hasfooter) { ?>
+    <div id="page-footer" class="wrapper">
+        <p class="helplink"><?php echo page_doc_link(get_string('moodledocslink')) ?></p>
+        <?php
+        echo $OUTPUT->login_info();
+        echo $OUTPUT->home_link();
+        echo $OUTPUT->standard_footer_html();
+        ?>
+    </div>
+    <?php } ?>
+</div>
+<?php echo $OUTPUT->standard_end_of_body_html() ?>
+</body>
+</html>
\ No newline at end of file
Index: moodle/theme/magazine/config.php
--- moodle/theme/magazine/config.php Base (1.4)
+++ moodle/theme/magazine/config.php Locally Modified (Based On 1.4)
@@ -120,7 +120,11 @@
         'regions' => array(),
         'options' => array('nofooter'=>true, 'nonavbar'=>false, 'noblocks'=>true),
     ),
-
\ No newline at end of file
+    'report' => array(
+        'file' => 'general.php',
+        'regions' => array('side-pre'),
+        'defaultregion' => 'side-pre',
+    ),
\ No newline at end of file
 );
 
 ///////////////////////////////////////////////////////////////
Index: moodle/theme/nonzero/config.php
--- moodle/theme/nonzero/config.php Base (1.6)
+++ moodle/theme/nonzero/config.php Locally Modified (Based On 1.6)
@@ -166,7 +166,11 @@
         'regions' => array(),
         'options' => array('nofooter'=>true, 'nonavbar'=>false, 'noblocks'=>true),
     ),
-
+    'report' => array(
+        'file' => 'general.php',
+        'regions' => array('side-pre'),
+        'defaultregion' => 'side-pre',
+    ),
 );
 
 ///////////////////////////////////////////////////////////////
Index: moodle/theme/overlay/config.php
--- moodle/theme/overlay/config.php Base (1.2)
+++ moodle/theme/overlay/config.php Locally Modified (Based On 1.2)
@@ -161,7 +161,11 @@
         'regions' => array(),
         'options' => array('nofooter'=>true, 'nonavbar'=>true),
     ),
-    
+    'report' => array(
+        'file' => 'general.php',
+        'regions' => array('side-pre'),
+        'defaultregion' => 'side-pre',
+    ),
 );
 
 ///////////////////////////////////////////////////////////////
Index: moodle/theme/sky_high/config.php
--- moodle/theme/sky_high/config.php Base (1.3)
+++ moodle/theme/sky_high/config.php Locally Modified (Based On 1.3)
@@ -165,7 +165,11 @@
         'regions' => array(),
         'options' => array('nofooter'=>true, 'nonavbar'=>false, 'noblocks'=>true),
     ),
-
+    'report' => array(
+        'file' => 'general.php',
+        'regions' => array('side-pre'),
+        'defaultregion' => 'side-pre',
+    )
 );
 
 ///////////////////////////////////////////////////////////////
Index: moodle/theme/sky_high/layout/report.php
--- moodle/theme/sky_high/layout/report.php No Base Revision
+++ moodle/theme/sky_high/layout/report.php Locally New
@@ -0,0 +1,136 @@
+<?php
+
+$hassidepre = (empty($PAGE->layout_options['noblocks']) && $PAGE->blocks->region_has_content('side-pre', $OUTPUT));
+$hasnavbar = (empty($PAGE->layout_options['nonavbar']) && $PAGE->has_navbar());
+$showsidepre = ($hassidepre && !$PAGE->blocks->region_completely_docked('side-pre', $OUTPUT));
+
+$custommenu = $OUTPUT->custom_menu();
+$hascustommenu = (empty($PAGE->layout_options['nocustommenu']) && !empty($custommenu));
+
+$bodyclasses = array();
+if (!$showsidepre) {
+    $bodyclasses[] = 'content-only';
+}
+if ($hassidepre) {
+    $bodyclasses[] = 'background';
+}
+
+if (!empty($PAGE->theme->settings->logo)) {
+    $logourl = $PAGE->theme->settings->logo;
+} else {
+    $logourl = NULL;
+}
+
+if (!empty($PAGE->theme->settings->footnote)) {
+    $footnote = $PAGE->theme->settings->footnote;
+} else {
+    $footnote = '<!-- There was no custom footnote set -->';
+}
+
+echo $OUTPUT->doctype() ?>
+<html <?php echo $OUTPUT->htmlattributes() ?>>
+<head>
+    <title><?php echo $PAGE->title ?></title>
+    <link rel="shortcut icon" href="<?php echo $OUTPUT->pix_url('favicon', 'theme')?>" />
+    <meta name="description" content="<?php echo strip_tags(format_text($SITE->summary, FORMAT_HTML)) ?>" />
+    <?php echo $OUTPUT->standard_head_html() ?>
+</head>
+<body id="<?php echo $PAGE->bodyid ?>" class="<?php echo $PAGE->bodyclasses.' '.join(' ', $bodyclasses) ?>">
+<?php echo $OUTPUT->standard_top_of_body_html() ?>
+
+<div id="page">
+    <div id="wrapper" class="clearfix">
+
+<!-- START OF HEADER -->
+
+    <div id="page-header" class="clearfix">
+        <div id="page-header-wrapper">
+            <?php if($logourl == NULL) { ?>
+             <h1 class="headermain">
+                <?php echo $PAGE->heading ?>
+            </h1>
+            <?php } else { ?>
+           <img class="logo" src="<?php echo $logourl;?>" alt="Custom logo here" /><h1 class="headerwlogo">- <?php echo $PAGE->heading ?></h1>
+            <?php } ?>
+
+
+            <div class="headermenu">
+                <?php
+                        echo $OUTPUT->login_info();
+                           if (!empty($PAGE->layout_options['langmenu'])) {
+                               echo $OUTPUT->lang_menu();
+                        }
+                           echo $PAGE->headingmenu
+                    ?>
+            </div>
+        </div>
+    </div>
+
+<!-- END OF HEADER -->
+
+<!-- START OF CONTENT -->
+<?php if ($hascustommenu) { ?>
+      <div id="custommenu"><?php echo $custommenu; ?></div>
+<?php } ?>
+<div class="navbar clearfix">
+            <?php if ($hasnavbar) { ?>
+            <div class="breadcrumb"><?php echo $OUTPUT->navbar(); ?></div>
+            <div class="navbutton"> <?php echo $PAGE->button; ?></div>
+            <?php } ?>
+      </div>
+
+
+
+
+<div id="page-content-wrapper">
+    <div id="page-content">
+        <div id="region-main-box">
+            <div id="region-post-box">
+
+                <div id="region-main-wrap">
+                    <div id="region-main">
+                        <div class="region-content">
+                            <?php echo core_renderer::MAIN_CONTENT_TOKEN ?>
+                        </div>
+                    </div>
+                </div>
+
+                <?php if ($hassidepre) { ?>
+                <div id="region-pre" class="block-region">
+                    <div class="region-content">
+                        <?php echo $OUTPUT->blocks_for_region('side-pre') ?>
+                    </div>
+                </div>
+                <?php } ?>
+
+            </div>
+        </div>
+    </div>
+</div>
+
+<!-- END OF CONTENT -->
+
+
+
+<!-- START OF FOOTER -->
+
+    <div id="page-footer">
+        <div class="footnote"><?php echo $footnote; ?></div>
+        <?php
+        echo $OUTPUT->login_info();
+        echo $OUTPUT->standard_footer_html();
+        ?>
+    </div>
+
+<!-- END OF FOOTER -->
+</div>
+</div>
+    <p class="helplink">
+        <?php echo page_doc_link(get_string('moodledocslink')) ?>
+    </p><center>
+        <?php
+    echo $OUTPUT->home_link();
+    echo $OUTPUT->standard_end_of_body_html() ?>
+</center>
+</body>
+</html>
Index: moodle/theme/splash/config.php
--- moodle/theme/splash/config.php Base (1.4)
+++ moodle/theme/splash/config.php Locally Modified (Based On 1.4)
@@ -145,6 +145,11 @@
         'regions' => array(),
         'options' => array('nofooter'=>true, 'nonavbar'=>false, 'noblocks'=>true),
     ),
+    'report' => array(
+        'file' => 'report.php',
+        'regions' => array('side-pre'),
+        'defaultregion' => 'side-pre'
+    ),
\ No newline at end of file
 );
 
 
